> ## Documentation Index
> Fetch the complete documentation index at: https://developer.vanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Approve Trust Center access request

> Approves an access request on a Trust Center.



## OpenAPI

````yaml /reference/manage-vanta.json post /trust-centers/{slugId}/access-requests/{accessRequestId}/approve
openapi: 3.0.0
info:
  title: Manage Vanta
  version: 1.0.0
  description: >-
    The REST API lets customers query and mutate Vanta's data. Use this API to
    automate bulk actions, query data for custom workflows and dashboards, and
    bolster your security operations


    **Note for Vanta Gov (FedRAMP) customers:** Select `Vanta Gov (FedRAMP)`
    from the server dropdown to issue requests against
    `https://api.vanta-gov.com`. The OAuth token URL shown below defaults to the
    commercial host — replace it with `https://api.vanta-gov.com/oauth/token`.
  termsOfService: https://www.vanta.com/terms
  license:
    name: UNLICENSED
  contact:
    name: API Support
    url: https://help.vanta.com/
    email: support@vanta.com
servers:
  - url: https://api.vanta.com/v1
    description: Vanta (Commercial)
  - url: https://api.vanta-gov.com/v1
    description: Vanta Gov (FedRAMP)
security: []
paths:
  /trust-centers/{slugId}/access-requests/{accessRequestId}/approve:
    post:
      tags:
        - Trust Centers
      summary: Approve Trust Center access request
      description: Approves an access request on a Trust Center.
      operationId: ApproveTrustCenterAccessRequest
      parameters:
        - in: path
          name: slugId
          required: true
          schema:
            type: string
        - in: path
          name: accessRequestId
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApproveTrustCenterAccessRequestInput'
      responses:
        '204':
          description: No content
      security:
        - bearerAuth: []
components:
  schemas:
    ApproveTrustCenterAccessRequestInput:
      properties:
        expirationDate:
          type: string
          format: date-time
          description: >-
            The date access should expire for this viewer. If a date isn't
            provided,

            access will not expire.
        isNdaRequired:
          type: boolean
          description: Whether to require an NDA for the viewer. Defaults to true.
        resourceIds:
          items:
            type: string
          type: array
          description: >-
            Identifiers for the resources that this viewer should have access
            to. If

            this field is omitted, the viewer will have access to all resources
            that

            they requested.
        accessLevel:
          $ref: '#/components/schemas/ViewerAccessLevel'
          description: >-
            Approved access level of the viewer. If this field is omitted, the
            viewer

            will have the access level they requested.
      type: object
      additionalProperties: false
    ViewerAccessLevel:
      description: >-
        The access level of the viewer.

        FULL_ACCESS means having access to all resources on the trust center.

        PARTIAL_ACCESS means having access to all public resources and a select
        list of requestable resources.
      enum:
        - FULL_ACCESS
        - PARTIAL_ACCESS
      type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````